Skip to content

Network

All operations require authentication.

11 operationsv1/vps/{serviceName}
Agent setup

List IPs attached to this VPSProduction

GET
/1.0/vps/{serviceName}/ips

Returns the IP addresses attached to the VPS.

Path parameters

serviceName
required
string

Service name

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

List the available countries for IP geolocation (GeoIP) on this VPSProduction

GET
/1.0/vps/{serviceName}/ipCountryAvailable

Returns the countries that can be set for the geolocation of the VPS IPs.

Path parameters

serviceName
required
string

Service name

Response

200GeolocationEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ipCountryAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "at"]

List domains configured on secondary DNS for this VPSProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains

Returns the domains configured on the secondary DNS of the VPS.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Retrieve details about a specific IP attached to this VPSProduction

GET
/1.0/vps/{serviceName}/ips/{ipAddress}

Returns the IP address, its type and version, reverse DNS, geolocation, gateway and MAC address.

Path parameters

ipAddress
required
ip

Ip address

serviceName
required
string

Service name

Response

200Ipsuccessful operation
gateway
read-only
ip

IP address (e.g., 192.0.2.0)

geolocation
read-only
GeolocationEnum

Geolocation of the IP Address

Valuesataubecachczdeesfifrgbieinitltnlplptsgukus
ipAddress
read-only
ip

The effective ip address of the Ip object

macAddress
read-only
string
—
reverse
string
—
type
read-only
TypeEnum

Ip types on a VPS

Valuesadditionalprimary
version
read-only
IpVersionEnum

Ip versions

Valuesv4v6

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "gateway": "192.0.2.0", "geolocation": "at", "ipAddress": "192.0.2.0", "macAddress": "string", "reverse": "string", "type": "additional", "version": "v4"}

Retrieve the secondary DNS configuration for a specific domainProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}

Returns the domain, the target IP and the master IP of a secondary DNS domain of the VPS.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SecondaryDNSsuccessful operation
creationDate
read-only
stringdate-time
—
dns
read-only
string

secondary dns server

domain
read-only
string

domain on slave server

ipMaster
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "dns": "string", "domain": "string", "ipMaster": "192.0.2.0"}

Retrieve the authoritative name server information for this secondary DNS domainProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}/dnsServer

Returns the name and the IP of the authoritative name server of a secondary DNS domain of the VPS.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SecondaryDNSNameServersuccessful operation
hostname
read-only
string

the name server

ip
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

ipv6
read-only
ipv6

IPv6 address (e.g., 2001:41d0:1:1994::1)

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}/dnsServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}

Retrieve the secondary DNS name server available for this VPSProduction

GET
/1.0/vps/{serviceName}/secondaryDnsNameServerAvailable

Returns the name and the IP of the secondary DNS name server available for the VPS.

Path parameters

serviceName
required
string

Service name

Response

200SecondaryDNSNameServersuccessful operation
hostname
read-only
string

the name server

ip
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

ipv6
read-only
ipv6

IPv6 address (e.g., 2001:41d0:1:1994::1)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsNameServerAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}

Add a domain to the secondary DNS configurationProduction

POST
/1.0/vps/{serviceName}/secondaryDnsDomains

Adds a domain to the secondary DNS of the VPS.

Path parameters

serviceName
required
string

Service name

Request body (required)

domain
required
string

The domain to add

ip
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains \
  -H "authorization: Bearer $OVH_TOKEN"

Release an additional IP attached to this VPSProduction

DELETE
/1.0/vps/{serviceName}/ips/{ipAddress}

Releases an additional IP from the VPS.

Path parameters

ipAddress
required
ip

Ip address

serviceName
required
string

Service name

Response

200—successful operation

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"

Remove this domain from the secondary DNS configurationProduction

DELETE
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}

Removes a domain from the secondary DNS of the VPS.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200—successful operation

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"

Update IP properties for this VPSProduction

PUT
/1.0/vps/{serviceName}/ips/{ipAddress}

Updates the reverse DNS of an IP of the VPS.

Path parameters

ipAddress
required
ip

Ip address

serviceName
required
string

Service name

Request body (required)

gateway
read-only
ip

IP address (e.g., 192.0.2.0)

geolocation
read-only
GeolocationEnum

Geolocation of the IP Address

Valuesataubecachczdeesfifrgbieinitltnlplptsgukus
ipAddress
read-only
ip

The effective ip address of the Ip object

macAddress
read-only
string
—
reverse
string
—
type
read-only
TypeEnum

Ip types on a VPS

Valuesadditionalprimary
version
read-only
IpVersionEnum

Ip versions

Valuesv4v6

Response

200—successful operation

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"